//
#include <Arduino.h>
//
//----------------------
//  Define
//----------------------
const int PIN_LEDSYSTEM = 2;
const int PERIOD_BLINK = 333;   // [ms]
// Uart0 - USB
const int PIN_UART0_TXD =  1;
const int PIN_UART0_RXD =  3;
// Uart1 - A
const int PIN_UART1_TXD = 25;
const int PIN_UART1_RXD = 26;
// Uart2 - B
const int PIN_UART2_TXD = 17;
const int PIN_UART2_RXD = 16;
//
#define UartUSB Serial
#define UartPCA Serial1
#define UartPCB Serial2
//
//----------------------
//  Global
//----------------------
int CounterDebug = 0;
//
//----------------------
//  Main - Setup
//----------------------
void setup(void)
{
  pinMode(PIN_LEDSYSTEM, OUTPUT);
  //
  UartUSB.begin(115200, SERIAL_8N1, PIN_UART0_RXD, PIN_UART0_TXD);
  UartPCA.begin(115200, SERIAL_8N1, PIN_UART1_RXD, PIN_UART1_TXD);
  UartPCB.begin(115200, SERIAL_8N1, PIN_UART2_RXD, PIN_UART2_TXD);
  delay(333);
  //
  UartUSB.println("\r\n*** Esp32Uart-0-USB ***");
  UartPCA.println("\r\n*** Esp32Uart-1-PCA ***");
  UartPCB.println("\r\n*** Esp32Uart-2-PCB ***");
}
//
//----------------------
//  Main - Loop
//----------------------
void loop(void) 
{
  digitalWrite(PIN_LEDSYSTEM, HIGH);
  delay(PERIOD_BLINK);
  digitalWrite(PIN_LEDSYSTEM, LOW);
  delay(PERIOD_BLINK);
  //
  CounterDebug++;
  UartUSB.print("Esp32Uart-0-USB> ");
  UartUSB.println(CounterDebug);
  //
  UartPCA.print("Esp32Uart-1-PCA> ");
  UartPCA.println(CounterDebug);
  //
  UartPCB.print("Esp32Uart-2-PCB> ");
  UartPCB.println(CounterDebug);  
}